Page MenuHomePhabricator

Fix ecore_wl2_window_hide
Closed, ResolvedPublic

Description

ecore_wl2_window_hide apparently should NOT be attaching a NULL buffer to the surface so we need to go back to the previous version of this function which destroyed the surface on window hide

zmike edited projects, added Restricted Project; removed efl.Jun 11 2018, 6:58 AM
zmike edited projects, added efl: display system; removed Restricted Project.Jun 11 2018, 9:16 AM
ManMower claimed this task.Jun 11 2018, 9:22 AM
ManMower raised the priority of this task from TODO to High.

I've been working on this a bit recently.

We're back to NULL attach being a legitimate thing, but there's a lot of other stuff that needs fixing before that actually works right.

zmike added a comment.Jun 22 2018, 7:34 AM

Is this still an issue?

It doesn't work - attaching a NULL buffer doesn't work on weston (only supports xdg-v6), and E doesn't handle it properly either.

And I'm not sure if the failure to resume rendering after a hide/show cycle is entirely related to compositor bugs or if there's also client side trouble.

Could go back to hiding by deleting the surface for this release, I guess... I'm not sure if this should be showstopper for 1.21 - if it's not, I'd just as soon leave it and solve it for the next release.

ManMower closed this task as Resolved.Jul 24 2018, 7:44 AM

Seems resolved by the fix for T7172